Description

The result of a join between the attribute table of a layer an a second table should be a new layer in the ToC which attribute table has
both the fileds of the original layer and the fields of the second table. This works fine. The problem is that the fields of the second table
are added to the attribute table of the original layer as well. It should remain as it was.

History

#1 - 11/06/2012 03:38 PM - Juan Lucas Dominguez

- Status changed from New to Awaiting response

Current behavior is that transformation is added to original layer and a new layer based on the same store is added.

If a layer has a transformed store, they cannot be edited to prevent inconsistencies.

If we "clone" the store and apply the transformation to the new layer only, there will be inconsistencies if the original layer is edited.

We cannot replicate the data of course, so. Possible solutions:

- The user will not be able to start edition if the store is shared by other layer (with transformation or not)

#2 - 11/07/2012 10:56 AM - Joaquin del Cerro Murciano
- Assignee set to Juan Lucas Dominguez

#3 - 12/07/2012 01:46 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#4 - 12/07/2012 01:58 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-final to 2.0.0-rc2

#5 - 12/12/2012 05:09 PM - Juan Lucas Dominguez
- Status changed from Awaiting response to Fixed

05/18/2024 1/2




Fixed behavior of join operation (original table remains the same).

gvsig-desktop:r39411

Behavior should be now what Manuel Madrid suggested.

#6 - 02/26/2014 12:35 PM - Alvaro Anguix
- Status changed from Fixed to Closed
